Browse a category
curl --request GET \
--url https://scrapebadger.com/v1/target/category \
--header 'X-API-Key: <x-api-key>'import requests
url = "https://scrapebadger.com/v1/target/category"
headers = {"X-API-Key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<x-api-key>'}};
fetch('https://scrapebadger.com/v1/target/category', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://scrapebadger.com/v1/target/category",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <x-api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://scrapebadger.com/v1/target/category"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<x-api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://scrapebadger.com/v1/target/category")
.header("X-API-Key", "<x-api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://scrapebadger.com/v1/target/category")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<x-api-key>'
response = http.request(request)
puts response.read_bodyTarget endpoints
Browse a category
Browse a category.
GET
/
v1
/
target
/
category
Browse a category
curl --request GET \
--url https://scrapebadger.com/v1/target/category \
--header 'X-API-Key: <x-api-key>'import requests
url = "https://scrapebadger.com/v1/target/category"
headers = {"X-API-Key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<x-api-key>'}};
fetch('https://scrapebadger.com/v1/target/category', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://scrapebadger.com/v1/target/category",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <x-api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://scrapebadger.com/v1/target/category"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<x-api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://scrapebadger.com/v1/target/category")
.header("X-API-Key", "<x-api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://scrapebadger.com/v1/target/category")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<x-api-key>'
response = http.request(request)
puts response.read_bodyBrowse a category.
Credits: 5 per successful request. Failed requests and empty result sets are not charged.
Browse all Target endpoints.
Authentication
string
required
Your ScrapeBadger API key.
Parameters
string
required
Category id.
integer
default:"1"
Page. Minimum: 1. Maximum: 50.
integer
default:"24"
Page size. Minimum: 1. Maximum: 24.
string
default:"1375"
Store id.
string
default:"55403"
Zip code.
Response
{
"matching_mode": "native",
"warnings": [
"Target may return semantic or recommended matches, including for queries with no literal matches."
],
"search_metadata": {
"response_ids": [
"search-d369c253-60ce-4d68-91ea-902bf7c58baf"
],
"count": 24,
"current_page": 1,
"offset": 0,
"sort_by": "Featured",
"total_pages": 50,
"total_results": 24769
},
"query": null,
"category": "5xtly",
"page": 1,
"page_size": 24,
"total_results": 24769,
"total_pages": 50,
"products": [
{
"tcin": "86918586",
"requested_tcin": null,
"title": "Kendamil Organic Infant Formula Powder - 28.2oz",
"url": "https://www.target.com/p/kendamil-organic-infant-formula-powder-28-2oz/-/A-86918586",
"brand": "Kendamil",
"description": null,
"price": {
"current_retail": 39.99,
"display_was_now": false,
"formatted_current_price": "$39.99",
"formatted_current_price_type": "reg",
"formatted_unit_price": "$1.42",
"formatted_unit_price_suffix": "/ounce",
"reg_retail": 39.99,
"location_id": 1375
},
"currency": "USD",
"images": [
"https://target.scene7.com/is/image/Target/GUEST_70082ac5-6c70-4f24-9cd3-dce8e75b61a1"
],
"videos": [
{
"is_list_page_eligible": false,
"video_files": [
{
"mime_type": "video/mp4",
"video_url": "https://target.scene7.com/is/content/Target/GUEST_2738570e-c23f-4acc-b213-6004308128b5"
}
]
}
],
"specifications": [
"<B>Features:</B> Added Prebiotics, Does Not Contain Fish, Grass Fed"
],
"highlights": [
"FIRST 12 MONTHS: Complete nutrition for infants from birth to 12 months"
],
"fulfillment": {},
"promotions": [],
"ratings_and_reviews": {
"statistics": {
"rating": {
"average": 4.62,
"count": 3977,
"secondary_averages": [
{}
]
}
}
},
"category": {
"category_id": "5xtkh",
"parent_category_id": "5xtl0"
},
"variants": [],
"variation_hierarchy": [],
"seller": [],
"is_sponsored": false,
"raw": {
"__typename": "ProductSummary",
"tcin": "86918586",
"fast_selling": {
"fast_selling": false,
"queue_gated": false
},
"original_tcin": "86918586",
"item": {
"cart_add_on_threshold": 35.0,
"relationship_type": "Stand Alone",
"relationship_type_code": "SA",
"merchandise_classification": {
"class_id": 12,
"department_id": 7
},
"eligibility_rules": {
"scheduled_delivery": {
"is_active": true
}
},
"enrichment": {
"buy_url": "https://www.target.com/p/kendamil-organic-infant-formula-powder-28-2oz/-/A-86918586",
"image_info": {
"base_url": "//target.scene7.com/is/image/Target/",
"primary_image": {},
"alternate_images": [],
"swatch_image": {}
},
"videos": [
{}
]
},
"product_classification": {
"item_type": {
"name": "Formula",
"type": "426194"
}
},
"compliance": {
"is_snap_eligible": true
},
"dpci": "007-12-5030",
"wellness_merchandise_attributes": [
{
"badge_url": "https://target.scene7.com/is/image/Target/wellness_7a6aea369eac49e0",
"parent_id": "304049",
"parent_name": "wellness standard",
"value_id": "810861",
"value_name": "Organic",
"wellness_description": "A product that has an on-pack USDA Organic Certification"
}
],
"product_description": {
"title": "Kendamil Organic Infant Formula Powder - 28.2oz",
"bullet_descriptions": [
"<B>Features:</B> Added Prebiotics, Does Not Contain Fish, Grass Fed"
],
"soft_bullets": {
"bullets": []
}
},
"fulfillment": {},
"primary_brand": {
"canonical_url": "/b/kendamil/-/N-q643le4gy3z",
"linking_id": "q643le4gy3z",
"name": "Kendamil"
}
},
"desirability_cues": [
{
"code": "bestseller",
"display": "Bestseller",
"long_description": "Based on sales and guest views of this item within the last 30 days."
}
],
"ornaments": [
{
"ornament": "bestseller",
"display": "Bestseller",
"long_description": "Based on sales and guest views of this item within the last 30 days.",
"ornament_type": "guest",
"template_type": "dark_marker_with_trophy",
"metadata": "{\"experiments\":[{\"factor\":\"bestseller_halloween_ornament\",\"value\":\"control\",\"default\":false}]}"
}
],
"promotions": [],
"price": {
"current_retail": 39.99,
"display_was_now": false,
"formatted_current_price": "$39.99",
"formatted_current_price_type": "reg",
"formatted_unit_price": "$1.42",
"formatted_unit_price_suffix": "/ounce",
"reg_retail": 39.99,
"location_id": 1375
},
"ratings_and_reviews": {
"statistics": {
"rating": {
"average": 4.62,
"count": 3977,
"secondary_averages": []
}
}
},
"category": {
"category_id": "5xtkh",
"parent_category_id": "5xtl0"
}
}
}
],
"facets": [
{
"facet_id": "d_channel",
"type": "checkbox",
"display_name": "Shipping & Pickup",
"expand": true,
"options": [
{
"display_name": "buy online & pick up",
"id": "5zl7w",
"url": "/c/baby/buy-online-pick-up/-/N-5xtlyZ5zl7w",
"value": "buy online & pick up"
}
]
}
],
"sort_options": [
{
"name": "Featured",
"value": "Featured"
}
]
}
Example
curl --get 'https://scrapebadger.com/v1/target/category' \
--header 'X-API-Key: YOUR_API_KEY' \
--data-urlencode 'category_id=5xtly' \
--data-urlencode 'page=1' \
--data-urlencode 'page_size=24' \
--data-urlencode 'store_id=1375' \
--data-urlencode 'zip_code=55403'

